/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package complexcommand;

/**
 *
 * @author lynchcs
 */
public class ConstitutionCommand implements ICharacterCommand {
  private int constitution;
  private int undoConstitution;
  private Character character;
  
  public ConstitutionCommand(Character character, int constitution) {
    this.constitution=constitution;
    this.character=character;    
  }
  
  public void execute() {
    if(character != null) {
      this.undoConstitution=character.getConstitution();
      character.setConstitution(constitution);
    }
  }

  public void undo() {
    if(character != null) {
      character.setConstitution(undoConstitution);
    }
  }
  
}
