/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package complexcommand;

/**
 *
 * @author lynchcs
 */
public class DexterityCommand implements ICharacterCommand {
  private int dexterity;
  private int undoDexterity;
  private Character character;
  
  public DexterityCommand(Character character, int dexterity) {
    this.dexterity=dexterity;
    this.character=character;
  }
  
  public void execute() {
    if(character != null) {
      this.undoDexterity=character.getDexterity();
      character.setDexterity(dexterity);
    }
  }

  public void undo() {
    if(character != null) {
      character.setDexterity(undoDexterity);
    }
  }
  
}
