/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package complexcommand;

/**
 *
 * @author lynchcs
 */
public class StrengthCommand implements ICharacterCommand {
  private int strength;
  private int undoStrength;
  private Character character;
  
  public StrengthCommand(Character character, int strength) {
    this.strength=strength;
    this.character=character;
  }
  
  public void execute() {
    if(character != null) {
      this.undoStrength=character.getStrength();
      character.setStrength(strength);
    }
  }

  public void undo() {
    if(character != null) {
      character.setStrength(undoStrength);
    }
  }
  
}
